# coding: utf-8

"""
    Identity Service API

    A list of identity, account and service management APIs.  # noqa: E501

    OpenAPI spec version: 1.6.5
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class PagedResponseOrganizationResponseResults(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'name': 'str',
        'display_name': 'str',
        'metadata': 'dict(str, str)',
        'id': 'str',
        'ref_link': 'str',
        'parent_ref_link': 'str'
    }

    attribute_map = {
        'name': 'name',
        'display_name': 'displayName',
        'metadata': 'metadata',
        'id': 'id',
        'ref_link': 'refLink',
        'parent_ref_link': 'parentRefLink'
    }

    def __init__(self, name=None, display_name=None, metadata=None, id=None, ref_link=None, parent_ref_link=None):  # noqa: E501
        """PagedResponseOrganizationResponseResults - a model defined in Swagger"""  # noqa: E501
        self._name = None
        self._display_name = None
        self._metadata = None
        self._id = None
        self._ref_link = None
        self._parent_ref_link = None
        self.discriminator = None
        if name is not None:
            self.name = name
        if display_name is not None:
            self.display_name = display_name
        if metadata is not None:
            self.metadata = metadata
        if id is not None:
            self.id = id
        if ref_link is not None:
            self.ref_link = ref_link
        if parent_ref_link is not None:
            self.parent_ref_link = parent_ref_link

    @property
    def name(self):
        """Gets the name of this PagedResponseOrganizationResponseResults.  # noqa: E501


        :return: The name of this PagedResponseOrganizationResponseResults.  # noqa: E501
        :rtype: str
        """
        return self._name

    @name.setter
    def name(self, name):
        """Sets the name of this PagedResponseOrganizationResponseResults.


        :param name: The name of this PagedResponseOrganizationResponseResults.  # noqa: E501
        :type: str
        """

        self._name = name

    @property
    def display_name(self):
        """Gets the display_name of this PagedResponseOrganizationResponseResults.  # noqa: E501


        :return: The display_name of this PagedResponseOrganizationResponseResults.  # noqa: E501
        :rtype: str
        """
        return self._display_name

    @display_name.setter
    def display_name(self, display_name):
        """Sets the display_name of this PagedResponseOrganizationResponseResults.


        :param display_name: The display_name of this PagedResponseOrganizationResponseResults.  # noqa: E501
        :type: str
        """

        self._display_name = display_name

    @property
    def metadata(self):
        """Gets the metadata of this PagedResponseOrganizationResponseResults.  # noqa: E501


        :return: The metadata of this PagedResponseOrganizationResponseResults.  # noqa: E501
        :rtype: dict(str, str)
        """
        return self._metadata

    @metadata.setter
    def metadata(self, metadata):
        """Sets the metadata of this PagedResponseOrganizationResponseResults.


        :param metadata: The metadata of this PagedResponseOrganizationResponseResults.  # noqa: E501
        :type: dict(str, str)
        """

        self._metadata = metadata

    @property
    def id(self):
        """Gets the id of this PagedResponseOrganizationResponseResults.  # noqa: E501


        :return: The id of this PagedResponseOrganizationResponseResults.  # noqa: E501
        :rtype: str
        """
        return self._id

    @id.setter
    def id(self, id):
        """Sets the id of this PagedResponseOrganizationResponseResults.


        :param id: The id of this PagedResponseOrganizationResponseResults.  # noqa: E501
        :type: str
        """

        self._id = id

    @property
    def ref_link(self):
        """Gets the ref_link of this PagedResponseOrganizationResponseResults.  # noqa: E501


        :return: The ref_link of this PagedResponseOrganizationResponseResults.  # noqa: E501
        :rtype: str
        """
        return self._ref_link

    @ref_link.setter
    def ref_link(self, ref_link):
        """Sets the ref_link of this PagedResponseOrganizationResponseResults.


        :param ref_link: The ref_link of this PagedResponseOrganizationResponseResults.  # noqa: E501
        :type: str
        """

        self._ref_link = ref_link

    @property
    def parent_ref_link(self):
        """Gets the parent_ref_link of this PagedResponseOrganizationResponseResults.  # noqa: E501


        :return: The parent_ref_link of this PagedResponseOrganizationResponseResults.  # noqa: E501
        :rtype: str
        """
        return self._parent_ref_link

    @parent_ref_link.setter
    def parent_ref_link(self, parent_ref_link):
        """Sets the parent_ref_link of this PagedResponseOrganizationResponseResults.


        :param parent_ref_link: The parent_ref_link of this PagedResponseOrganizationResponseResults.  # noqa: E501
        :type: str
        """

        self._parent_ref_link = parent_ref_link

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(PagedResponseOrganizationResponseResults, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, PagedResponseOrganizationResponseResults):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
